<template>
  <div class="select_list">
    <div 
    class="select_item" 
    v-for="item, index in config.list" 
    :key="index" 
    :class="{'selected_item': item.value == value}" 
    @click="select(item)" 
    v-html="item.text">
    </div>
  </div>
</template>
<script>
export default {
  data () {
    return {}
  },

  props: {
    config: {
      type: Object,
      default () {
        return {
          value: '',
          list: []
        }
      }
    },
    value: {
      type: String,
      default () {
        return ''
      }
    }
  },

  methods: {
    select (item) {
      this.$emit('input', item.value);
    }
  }
}
</script>
<style lang="stylus" scoped="true">
.select_list
  display flex
  line-height 30px
  min-height 30px
  font-size 12px
  .select_item
    cursor pointer
    background-color #BFBFBF
    padding 0px 20px
    margin-right 30px
    color #fff
    display flex
    align-items center
    &:last-child
      margin-right 0px
  .selected_item
    background-color #000
</style>

